"""
Format handling
"""

__all__ = [
    'format_select',
    'format_command',
]


#---
# Public
#---

def format_select(_, __):
    """ Select a kernel format and generate output information

    @args
    > kernconf  (dict)  - kernel configuration information
    > format    (str)   - targeted format

    @return
    > Nothing, hangout if error. (return are only here for syntax sugar)
    """

def format_command(_):
    """ format-specific handler

    @arg
    > argv (list,str) - subcommand arguments

    @return
    > Never
    """
